Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderLineCRUD

    java.lang.Object
      com.beasys.commerce.ebusiness.order.OrderLineCRUD

Deprecated See BEA Commerce product offering

    @Deprecated
    public class OrderLineCRUD

extends Object

CRUD for entity bean OrderLine_msrp_Money

Constructor Summary
`OrderLineCRUD()` Deprecated See BEA Commerce product offering

Method Summary
`static void` | `create(Connection connection, Object key)` Deprecated See BEA Commerce product offering
`static void` | `delete(Connection connection, Object key)` Deprecated See BEA Commerce product offering
`static boolean` | `exists(Connection connection, Object key)` Deprecated See BEA Commerce product offering
`static void` | `refresh(Connection connection, Object key, Object target)` Deprecated See BEA Commerce product offering
`static void` | `refreshDirect(Connection connection, Object key, Object target)` Deprecated See BEA Commerce product offering
`static void` | `update(Connection connection, Object key, Object source)` Deprecated See BEA Commerce product offering
`static void` | `updateDirect(Connection connection, Object key, Object source)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderLineCRUD

    public OrderLineCRUD()

  Deprecated See BEA Commerce product offering

Method Detail

### create

    public static void create(Connection connection,
                              Object key)
                       throws BMPException

  Deprecated See BEA Commerce product offering

  Creates a single row in the database, ONLY using primary key information. The database provides well-defined default values for the non-null fields.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### refresh

    public static void refresh(Connection connection,
                               Object key,
                               Object target)
                        throws BMPException

  Deprecated See BEA Commerce product offering

  Updates the datbase, using using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### update

    public static void update(Connection connection,
                              Object key,
                              Object source)
                       throws BMPException

  Deprecated See BEA Commerce product offering

  Updates the datbase, using using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### delete

    public static void delete(Connection connection,
                              Object key)
                       throws BMPException

  Deprecated See BEA Commerce product offering

  Deletes a single row in the database, ONLY using primary key information.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### exists

    public static boolean exists(Connection connection,
                                 Object key)
                          throws BMPException

  Deprecated See BEA Commerce product offering

  Deletes a single row in the database, ONLY using primary key information.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### updateDirect

    public static void updateDirect(Connection connection,
                                    Object key,
                                    Object source)
                             throws BMPException

  Deprecated See BEA Commerce product offering

  Updates the database, using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### refreshDirect

    public static void refreshDirect(Connection connection,
                                     Object key,
                                     Object target)
                              throws BMPException

  Deprecated See BEA Commerce product offering

  Refresh from database, using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved